## loop-aes-utils 2.16.2

=== debian/changelog ===
loop-aes-utils (2.16.2-3) unstable; urgency=low

  * QA upload.
  * Fix "mount/umount option '--no-canonicalize' support from util-linux
    for fuse": apply patch from Ubuntu / Colin Watson:
    - Backport mount/umount --no-canonicalize option from util-linux
      (LP: #727220).
    - Backport umount --fake option from util-linux.
    (Closes: #636614)
  * Fix "Please enabled hardened build flags": apply patch from Moritz
    Muehlenhoff. (Closes: #656009)
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b loop-aes-utils-
    2.16.2 gave error exit status 2": Remove auto-generated patch
    debian-changes-2.16.2-2 and use autotools-dev's helpers for handling
    config.{guess,sub}. (Closes: #643206)
  * Fix "unowned files after purge (policy 6.8, 10.8)":
    debian/loop-aes-utils.postrm: remove /etc/default/checkfs-loop on purge.
    (Closes: #656462)
  * Fix "debian/control uses hardcoded list of non-Linux architectures": use
    "libselinux1-dev [linux-any]". (Closes: #634494)

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Feb 2012 17:04:22 +0100

loop-aes-utils (2.16.2-2) unstable; urgency=low

  * Orphaning the package (#614814)
  * Set maintainer to Debian QA Group

 -- Max Vozeler <xam@debian.org>  Wed, 23 Feb 2011 18:02:42 +0100

loop-aes-utils (2.16.2-1) unstable; urgency=low

  * New util-linux upstream release
  * Add loop-aes patch v3.2h
  * Switch to 3.0 (quilt) format
  * debian/rules: Remove dpatch targets
  * debian/control: Drop dpatch from depends
  * debian/patches/series: Add
  * debian/rules: Configure with external libuuid
  * debian/rules: Drop installation of old releasenotes
  * debian/control: Add misc:Depends for debhelper
  * Update to policy 3.8.4 - no changes
  * Add X-Interactive keyword to initscript LSB info (Closes: #538439)

 -- Max Vozeler <xam@debian.org>  Tue, 30 Mar 2010 14:57:51 +0200

loop-aes-utils (2.15.1~rc1-2) unstable; urgency=low

  * Disable ncurses (--without-ncurses), not used in
    mount/. Fixes FTBFS (closes: #535676).

 -- Max Vozeler <xam@debian.org>  Mon, 06 Jul 2009 02:08:18 +0200

loop-aes-utils (2.15.1~rc1-1) unstable; urgency=low

  * New util-linux upstream release
  * patches/20loop-AES:
    - Update to v3.2g
  * patches/losetup_add_option_f.dpatch: 
    - Drop, applied upstream
  * Add set -e to preinst, postrm
  * Update to debhelper level 7
  * Update to poliy 3.8.1:
    - This package violates policy 4.13 (convenience
      copies). There is no way around it right now; I'm
      working on a solution for squeeze.
  * debian/loop-aes-keygen.1:
    - Add description to .NAME

 -- Max Vozeler <xam@debian.org>  Fri, 03 Jul 2009 21:12:36 +0200

loop-aes-utils (2.13.1-4) unstable; urgency=low

  * patches/losetup_add_option_f.dpatch: 
    - Added to support "find next free loop" in losetup.
      (closes: #495682)

 -- Max Vozeler <xam@debian.org>  Fri, 22 Aug 2008 11:57:17 +0200

loop-aes-utils (2.13.1-3) unstable; urgency=low

  * Depend on mount >= 2.13-1 to ensure that its
    upgrade-checks for nfs-common are done. (closes: #470941)

 -- Max Vozeler <xam@debian.org>  Sat, 15 Mar 2008 00:45:45 +0100

loop-aes-utils (2.13.1-2) unstable; urgency=low

  * initramfs/script: 
    - Fix loading of non-AES ciphers
    - Remove message shown if root is not encrypted

 -- Max Vozeler <xam@debian.org>  Fri, 14 Mar 2008 16:17:31 +0100

loop-aes-utils (2.13.1-1) unstable; urgency=low

  * New util-linux upstream release
  * patches/20loop-AES:
    - Update to v3.2c
    - Fixes read from symlinks. (closes: #450784)
  * patches/50_realpath_use_after_free,
    patches/51_CVE-2007-5191,
    patches/52_check_privdrop_return:
    - Drop, applied upstream
  * Standards version 3.7.3 (no changes)

 -- Max Vozeler <xam@debian.org>  Sun, 09 Mar 2008 02:20:09 +0100

loop-aes-utils (2.13-2) unstable; urgency=low

  * Sync with util-linux 2.13-8
  * SECURITY: mount: doesn't drop privileges properly when 
    calling helpers [CVE-2007-5191]
  * Check the return value of set{u,g}id in loop-AES code
  * mount: chain of symlinks to fstab causes use of pointer after free

 -- Max Vozeler <xam@debian.org>  Fri, 19 Oct 2007 23:14:28 +0200

loop-aes-utils (2.13-1) unstable; urgency=low

  * New upstream release 
  * Update loop-AES patch to upstream 2.13

 -- Max Vozeler <xam@debian.org>  Wed, 05 Sep 2007 23:15:31 +0200

loop-aes-utils (2.13~rc3-2) unstable; urgency=low

  * Sync with util-linux 2.13~rc3-8
  * Switch back to libblkid-dev
  * initramfs/hook: Check that included loop module
    really is loop-AES.

 -- Max Vozeler <xam@debian.org>  Sun, 26 Aug 2007 15:23:19 +0200

loop-aes-utils (2.13~rc3-1) unstable; urgency=low

  * New upstream release
  * Sync with util-linux 2.13~rc3-3: All patches in
    debian/patches/* included upstream.
  * Build with libvolume-id, libselinux
  * Update loop-AES patch to v3.2a and rebase against
    util-linux-ng 2.13-rc3 (Closes: #436909)
  * Two passes for deb and udeb, building the udeb 
    without selinux/libvolume-id.
  * Enable initramfs-tools integration

 -- Max Vozeler <xam@debian.org>  Sat, 11 Aug 2007 15:24:42 +0200

loop-aes-utils (2.12r-17) unstable; urgency=low

  * UNRELEASED
  * Update loop-AES patch to v3.1f
    - patches/20loop-AES: Update
    - patches/40pagesize: Drop, included upstream
  * Remove shlib override for libblkid
  * Include initramfs-tools integration for encrypted root, thanks to
    Lionel Elie Mamane <lionel@debian.org> (Closes: #378488)

 -- Max Vozeler <xam@debian.org>  Sun, 22 Apr 2007 19:56:09 +0200

loop-aes-utils (2.12r-16) unstable; urgency=low

  * Sync with util-linux 2.12r-19
    - patches/30nfs4: Update
    - patches/30nfs4-setclientid: Add
    - patches/30nfs4-intr-default: Add
    - patches/30swsusp-resume: Update and enable in 00list
  * Update config.{sub,guess}

 -- Max Vozeler <xam@debian.org>  Sun, 22 Apr 2007 17:40:47 +0200

loop-aes-utils (2.12r-15) unstable; urgency=medium

  * Set maintainer to Debian Loop-AES Team 

