=== debian/control ===
Source: loop-aes-utils
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), gettext, libblkid-dev, uuid-dev, libselinux1-dev [linux-any], pkg-config, autotools-dev (>= 20100122.1)
Standards-Version: 3.8.4

Package: loop-aes-utils
Architecture: any
Recommends: sharutils
Depends: ${shlibs:Depends}, ${misc:Depends}, mount (>= 2.13-1), gnupg
Description: Tools for mounting and manipulating filesystems
 This package provides the mount(8), umount(8), swapon(8),
 swapoff(8), and losetup(8) commands with support for loop-AES
 loopback encryption.
 .
 Purpose of this package is to provide users of loop-AES with
 extended mount support that is not available with the crypto
 patch in the 'mount' package.
 .
 On installation, this package diverts files from the mount
 package and installs versions with loop-AES support in their
 places. The diversions get removed on removal of the package.

Package: mount-aes-udeb
Architecture: any
Section: debian-installer
Priority: extra
XC-Package-Type: udeb
Depends: ${shlibs:Depends}
Description: Mount utils for loop-AES
 loop-AES patched mount, losetup and swapon
